package core.notevault.data;

import androidx.room.Dao;
import androidx.room.Insert;
import androidx.room.Query;

import java.util.List;

@Dao
public interface MusicNoteDAO {

    @Insert
    long insert(MusicNote musicNote);

    @Insert
    void insertNoteSheet(NoteSheet noteSheet);

    @Query("SELECT * FROM music_notes")
    List<MusicNote> getAllNotes();

    @Query("SELECT * FROM note_sheets")
    List<NoteSheet> getNoteSheetsForMusicSong();
}
